Permalink
Browse files

Updated the documentation to include upgrade instructions

  • Loading branch information...
1 parent 23da179 commit ca333931b750deeb8382372c8376934cd7a719f2 @dabit dabit committed Sep 7, 2010
Showing with 9 additions and 1 deletion.
  1. +7 −1 README.markdown
  2. +2 −0 rails3-jquery-autocomplete.gemspec
View
@@ -20,7 +20,7 @@ I'd encourage you to understand how to use those 3 amazing tools before attempti
Include the gem on your Gemfile
- gem 'rails3-jquery-autocomplete', '>= 0.2.0'
+ gem 'rails3-jquery-autocomplete', '0.3.0'
Install it
@@ -34,6 +34,12 @@ And include autocomplete-rails.js on your layouts
javascript_include_tag "autocomplete-rails.js"
+## Upgrading from 0.2.x
+
+If you are upgrading from a previous version, run the generator after installing to replace the javascript file.
+
+ rails generate autocomplete
+
## Usage
### Model Example
@@ -25,6 +25,7 @@ Gem::Specification.new do |s|
"lib/rails3-jquery-autocomplete.rb",
"test/autocomplete_generator_test.rb",
"test/controller_module_test.rb",
+ "test/form_helper_test.rb",
"test/test_helper.rb"
]
s.homepage = %q{http://github.com/crowdint/rails3-jquery-autocomplete}
@@ -35,6 +36,7 @@ Gem::Specification.new do |s|
s.test_files = [
"test/autocomplete_generator_test.rb",
"test/controller_module_test.rb",
+ "test/form_helper_test.rb",
"test/test_helper.rb"
]

0 comments on commit ca33393

Please sign in to comment.